Subject: Terminology

From: [email-masked]
Date: Tue, 20 Jul 93 16:24:56 EDT

I have read the RFC carefully and discussed with Roy Dixon (one of the
RFC authors) what he intended in using various terms.  I would like to
propose the following definitions which I believe are largely
consistent with the RFC.  For each term, I'll give a definition then
add some commentary.  I assume in these definitions that an SDLC station
is represented by a MAC and SAP address.

Please let me know if you disagree with any of these definitions or feel
they do not agree with the RFC (in places other than those I reference).

CIRCUIT - End-to-end association of two DLC entities through one or
  two DLSw routers.  Uniquely identified by a pair of circuit IDs
  (local port id + local correlator) along with identifiers of the
  routers.  A circuit provides support for a single end-to-end
  (SA/SSAP, DA/DSAP) pairing.  A circuit may be in "circuit
  established" state for LLC1 traffic, or "connected" state for LLC2
  traffic.  A circuit in "connected" state is the same as an "LLC
  connection".  A circuit is the concatenation of two "data links"
  (defined below), optionally with an intervening transport connection.

  How does one refer to the part of a circuit between DLSw routers?
  The RFC uses the word "circuit" at least twice in this context.
  (sec. 4.1, first sentence, and sec. 4.1.3, 2nd sentence).  This
  usage is natural, since in reality "circuit" is a concept implemented
  in the DLSw routers and not in the end stations.  These references
  should NOT be read to mean that a circuit is a transport connection
  between routers.  Many circuits are multiplexed onto a single
  transport connection.

DATA LINK -   Either an 802.2 "logical data link" for Type 1 services,
  an 802.2  "data link connection" for Type 2 services, or an SDLC
  "data link".  Identified by the quadtuple (SA, SSAP, DA, DSAP).

  Note that both of the data links in a circuit are known by the same
  quadtuple, and the circuit itself can be identified in the same way.
  The definition of "data link" in the RFC as "a logical association
  between two end stations using Data Link Switching" could be read
  to say that a circuit is one data link, but this was not intended;
  a circuit includes two data links.

TCP CONNECTION - Full-duplex (-capable) association defined by a pair
  of (IP addr, port) pairs, running the TCP protocol.  The port addresses
  in the RFC define two TCP connections between a pair of DLSw routers,
  each being used to send data in a single direction.

  The RFC was in error when it mentioned a single TCP connection between
  routers.

TRANSPORT CONNECTION - generic term for a full-duplex reliable
  connection between DLSw routers.

  This term is used to refer to the association between routers without
  being concerned about whether TCP is the protocol or whether there
  are one or two TCP connections.

CONNECTION or LLC CONNECTION - A circuit which is in "connected" state,
  i.e., after the exchange of a set_mode type command and the associated
  response.  "Connection" is therefore an end-to-end concept.

  Virtually all RFC references to "connection" mean LLC connection;
  references to TCP connections are clear.  In the RFC state machine,
  control flows which affect one of the data links of a LLC connection
  are worded as affecting the "connection", which is accurate even though
  the effect on the remote part of the connection is not immediate.
  There may be references which should more precisely say "data link"
  but I haven't found any problems yet.

Peter Gayek